URI
Date: 2016-06-24

java.net

## Class URI

- java.lang.Object
- - java.net.URI

- All Implemented Interfaces:
    Serializable, Comparable

      public final class URI
      extends Object
      implements Serializable, Comparable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URI(String var0)`
    `URI(String var0, String var1, String var2)`
    `URI(String var0, String var1, String var2, int var3, String var4, String var5, String var6)`
    `URI(String var0, String var1, String var2, String var3)`
    `URI(String var0, String var1, String var2, String var3, String var4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object var0)`
    `static URI` | `create(String var0)`
    `String` | `getAuthority()`
    `String` | `getFragment()`
    `String` | `getHost()`
    `String` | `getPath()`
    `int` | `getPort()`
    `String` | `getQuery()`
    `String` | `getRawAuthority()`
    `String` | `getRawFragment()`
    `String` | `getRawPath()`
    `String` | `getRawQuery()`
    `String` | `getRawSchemeSpecificPart()`
    `String` | `getRawUserInfo()`
    `String` | `getScheme()`
    `String` | `getSchemeSpecificPart()`
    `String` | `getUserInfo()`
    `boolean` | `isAbsolute()`
    `boolean` | `isOpaque()`
    `URI` | `normalize()`
    `URI` | `parseServerAuthority()`
    `URI` | `relativize(URI var0)`
    `URI` | `resolve(String var0)`
    `URI` | `resolve(URI var0)`
    `String` | `toASCIIString()`
    `URL` | `toURL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URI

          public URI(String var0)
              throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### URI

          public URI(String var0,
             String var1,
             String var2)
              throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### URI

          public URI(String var0,
             String var1,
             String var2,
             int var3,
             String var4,
             String var5,
             String var6)
              throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### URI

          public URI(String var0,
             String var1,
             String var2,
             String var3)
              throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### URI

          public URI(String var0,
             String var1,
             String var2,
             String var3,
             String var4)
              throws URISyntaxException

      Throws:
        `URISyntaxException`

  - ### Method Detail

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### create

          public static URI create(String var0)

    - #### getAuthority

          public String getAuthority()

    - #### getFragment

          public String getFragment()

    - #### getHost

          public String getHost()

    - #### getPath

          public String getPath()

    - #### getPort

          public int getPort()

    - #### getQuery

          public String getQuery()

    - #### getRawAuthority

          public String getRawAuthority()

    - #### getRawFragment

          public String getRawFragment()

    - #### getRawPath

          public String getRawPath()

    - #### getRawQuery

          public String getRawQuery()

    - #### getRawSchemeSpecificPart

          public String getRawSchemeSpecificPart()

    - #### getRawUserInfo

          public String getRawUserInfo()

    - #### getScheme

          public String getScheme()

    - #### getSchemeSpecificPart

          public String getSchemeSpecificPart()

    - #### getUserInfo

          public String getUserInfo()

    - #### isAbsolute

          public boolean isAbsolute()

    - #### isOpaque

          public boolean isOpaque()

    - #### normalize

          public URI normalize()

    - #### parseServerAuthority

          public URI parseServerAuthority()
                                   throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### relativize

          public URI relativize(URI var0)

    - #### resolve

          public URI resolve(String var0)

    - #### resolve

          public URI resolve(URI var0)

    - #### toASCIIString

          public String toASCIIString()

    - #### toURL

          public URL toURL()
                    throws MalformedURLException

      Throws:
        `MalformedURLException`